summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--res/neo4j/neo4j-mux/README1
-rw-r--r--res/neo4j/neo4j-mux/conf-template.d/neo4j-server.properties.jinja16
-rwxr-xr-xres/neo4j/neo4j-mux/conf-template.d/neo4j-service_deomain-init-script.jinja135
-rw-r--r--res/neo4j/neo4j-mux/conf-template.d/neo4j.properties.jinja5
4 files changed, 157 insertions, 0 deletions
diff --git a/res/neo4j/neo4j-mux/README b/res/neo4j/neo4j-mux/README
new file mode 100644
index 00000000..d2e7bdda
--- /dev/null
+++ b/res/neo4j/neo4j-mux/README
@@ -0,0 +1 @@
+multiplexed neo4j configuration templates
diff --git a/res/neo4j/neo4j-mux/conf-template.d/neo4j-server.properties.jinja b/res/neo4j/neo4j-mux/conf-template.d/neo4j-server.properties.jinja
new file mode 100644
index 00000000..e56ddf91
--- /dev/null
+++ b/res/neo4j/neo4j-mux/conf-template.d/neo4j-server.properties.jinja
@@ -0,0 +1,16 @@
+# -----------------------------------------------------------------------------
+# Neo4j server configuration
+#
+dbms.security.auth_enabled=false
+org.neo4j.server.database.location=data/graph.db
+org.neo4j.server.db.tuning.properties=conf/neo4j.properties
+org.neo4j.server.http.log.config=conf/neo4j-http-logging.xml
+org.neo4j.server.http.log.enabled=false
+org.neo4j.server.webadmin.rrdb.location=data/rrd
+org.neo4j.server.webserver.https.cert.location=conf/ssl/snakeoil.cert
+org.neo4j.server.webserver.https.enabled=true
+org.neo4j.server.webserver.https.key.location=conf/ssl/snakeoil.key
+org.neo4j.server.webserver.https.keystore.location=data/keystore
+org.neo4j.server.webserver.https.port={{ org_neo4j_server_webserver_https_port }}
+org.neo4j.server.webserver.port={{ org_neo4j_server_webserver_port }}
+
diff --git a/res/neo4j/neo4j-mux/conf-template.d/neo4j-service_deomain-init-script.jinja b/res/neo4j/neo4j-mux/conf-template.d/neo4j-service_deomain-init-script.jinja
new file mode 100755
index 00000000..55b1ad01
--- /dev/null
+++ b/res/neo4j/neo4j-mux/conf-template.d/neo4j-service_deomain-init-script.jinja
@@ -0,0 +1,135 @@
+#! /bin/sh
+
+### BEGIN INIT INFO
+# Provides: neo4j__{{ domain_name }}
+# Required-Start: $remote_fs $syslog $network
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Neo4j Graph Database server
+# Description: Neo4j is a Graph Database, which is a compelling
+# alternative to an RDBMS. http://www.neo4j.org
+### END INIT INFO
+
+# Author: Julian Simpson <julian.simpson@neotechnology.com>
+#
+# Copyright (c) 2002-2015 "Neo Technology,"
+
+# Network Engine for Objects in Lund AB [http://neotechnology.com]
+#
+# This file is part of Neo4j.
+#
+# Neo4j is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Neo4j Graph Database"
+NAME=neo4j__{{ domain_name }}
+DAEMON=/var/lib/neo4j/instance-root.d/{{ domain_name }}/bin/neo4j
+DAEMON_ARGS="start"
+PIDFILE=/var/lib/neo4j/instance-root.d/{{ domain_name }}/data/neo4j-service.pid
+SCRIPTNAME=/etc/init.d/neo4j-service__{{ domain_name }}
+
+NEO_USER=neo4j
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+. /lib/lsb/init-functions
+
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ start-stop-daemon --chuid ${NEO_USER} --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+ || return 1
+ start-stop-daemon --chuid ${NEO_USER} --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+ $DAEMON_ARGS \
+ || return 2
+}
+
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --chuid ${NEO_USER} --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+
+ start-stop-daemon --chuid ${NEO_USER} --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+ [ "$?" = 2 ] && return 2
+ # Many daemons don't delete their pidfiles when they exit.
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+# Ensure that the NEO_USER is set to a useful default.
+[ -n "${NEO_USER}" ] || NEO_USER=$NAME
+
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ status)
+ status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ restart|force-reload)
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+:
diff --git a/res/neo4j/neo4j-mux/conf-template.d/neo4j.properties.jinja b/res/neo4j/neo4j-mux/conf-template.d/neo4j.properties.jinja
new file mode 100644
index 00000000..580da87f
--- /dev/null
+++ b/res/neo4j/neo4j-mux/conf-template.d/neo4j.properties.jinja
@@ -0,0 +1,5 @@
+# -----------------------------------------------------------------------------
+# Neo4j configuration
+#
+remote_shell_port={{ remote_shell_port }}
+